// MurderSpot - a free game based on Clue/Cluedo
// Copyright 2005-2009 Christopher Elsby <chrise@chrise.me.uk>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "global.h"

#include "app.h"
#include "mainwin.h"
#include <wx/app.h>
#include <wx/cmdline.h>
#include <wx/image.h>
#include <wx/version.h>

#include <cstdlib>
#include <ctime>

IMPLEMENT_APP(App)

bool App::OnInit()
{
    if(!wxApp::OnInit())
        return FALSE;
    std::srand(std::time(NULL));
    wxInitAllImageHandlers();
    MainWin *win = new MainWin;
    win->Show();
    SetTopWindow(win);
    return TRUE;
}

void App::OnInitCmdLine(wxCmdLineParser &parser)
{
    wxApp::OnInitCmdLine(parser);
    parser.SetLogo(wxT(PACKAGE_STRING " Copyright 2005-2009 Christopher Elsby\nCompiled with ") wxVERSION_STRING);
    parser.AddSwitch(wxT("v"), wxT("version"), wxT("show the version number and copyright notice"));
}

bool App::OnCmdLineParsed(wxCmdLineParser &parser)
{
    if(!wxApp::OnCmdLineParsed(parser))
        return FALSE;
    if(parser.Found(wxT("v")))
    {
        wxFprintf(stderr, wxT("%s Copyright 2005-2009 Christopher Elsby\n"
            "Compiled with %s\n"), wxT(PACKAGE_STRING), wxVERSION_STRING);
        return FALSE;
    }
    return TRUE;
}
