// MurderSpot - a free game based on Clue/Cluedo
// Copyright 2005-2009 Christopher Elsby <chrise@chrise.me.uk>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef MURDERSPOT_BOARDWIN_H
#define MURDERSPOT_BOARDWIN_H

#include <wx/scrolwin.h>
#include <wx/event.h>

class Game;
class wxBitmap;
class wxWindow;
class wxDC;
class wxMouseEvent;
class wxCommandEvent;
class wxUpdateUIEvent;
class wxPanel;
class wxTextCtrl;

class BoardWin : public wxScrolledWindow
{
public:
    BoardWin(wxWindow *parent, Game *gam);
    virtual ~BoardWin();
    bool hasImage() const {return bmpBoard != NULL && bmpSuspects != NULL;}
    bool updateImage();
    void changeImage();
    void closeChangeImage();
    void OnDraw(wxDC &dc);
    Game *getGame() {return game;}
    const Game *getGame() const {return game;}
    void setGame(Game *gam);
private:
    void updateScrollBars();
    void OnMouseButton(wxMouseEvent &event);
    void OnCommand(wxCommandEvent &event);
    void OnUpdateUI(wxUpdateUIEvent &event);
    // Pointer to the game data.
    Game *game;
    // Board bitmap.
    wxBitmap *bmpBoard;
    // Array of bitmaps for each suspect.
    wxBitmap *bmpSuspects;
    // Panel to select an image file.
    wxPanel *selectionPanel;
    wxTextCtrl *fileInput;
    wxTextCtrl *widthInput, *heightInput;
    DECLARE_EVENT_TABLE()
};

#endif // !defined(MURDERSPOT_BOARDWIN_H)
