// MurderSpot - a free game based on Clue/Cluedo
// Copyright 2005-2009 Christopher Elsby <chrise@chrise.me.uk>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef MURDERSPOT_CHATWIN_H
#define MURDERSPOT_CHATWIN_H

#include <wx/panel.h>
#include <wx/event.h>

class MainWin;
class NetUser;
class NetChannel;
class wxWindow;
class wxStaticText;
class wxTextCtrl;

class ChatWin : public wxPanel
{
public:
    ChatWin(wxWindow *parent, MainWin *mainwin = NULL);
    virtual ~ChatWin();
    void receiveChat(wxString sender, wxString target, wxString type, wxString msg);
    void changeNick(wxString newnick);
    MainWin *main;
    wxString sendto;
private:
    void OnCommand(wxCommandEvent &event);
    void OnFocus(wxFocusEvent &event);
    wxStaticText *nickdisplay;
    wxTextCtrl *history;
    wxTextCtrl *input;
    DECLARE_EVENT_TABLE()
};

#endif // !defined(MURDERSPOT_CHATWIN_H)
