// MurderSpot - a free game based on Clue/Cluedo
// Copyright 2005-2009 Christopher Elsby <chrise@chrise.me.uk>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

#ifndef MURDERSPOT_CLDNOTEBOOK_H
#define MURDERSPOT_CLDNOTEBOOK_H

#include "cldnotebookfwd.h"

#if NO_WXFLATNOTEBOOK

#include <wx/notebook.h>

#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CHANGED  wxEVT_COMMAND_NOTEBOOK_PAGE_CHANGED
#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CHANGING wxEVT_COMMAND_NOTEBOOK_PAGE_CHANGING
#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CLOSING  0
#define murderspotEVT_COMMAND_NOTEBOOK_CONTEXT_MENU  0
#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CLOSED   0

#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CHANGED(winid, fn)  EVT_NOTEBOOK_PAGE_CHANGED(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CHANGING(winid, fn) EVT_NOTEBOOK_PAGE_CHANGING(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CLOSING(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_CONTEXT_MENU(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CLOSED(winid, fn)

#else

#include <wx/wxFlatNotebook/wxFlatNotebook.h>

#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CHANGED  wxEVT_COMMAND_FLATNOTEBOOK_PAGE_CHANGED
#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CHANGING wxEVT_COMMAND_FLATNOTEBOOK_PAGE_CHANGING
#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CLOSING  wxEVT_COMMAND_FLATNOTEBOOK_PAGE_CLOSING
#define murderspotEVT_COMMAND_NOTEBOOK_CONTEXT_MENU  wxEVT_COMMAND_FLATNOTEBOOK_CONTEXT_MENU
#define murderspotEVT_COMMAND_NOTEBOOK_PAGE_CLOSED   wxEVT_COMMAND_FLATNOTEBOOK_PAGE_CLOSED

#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CHANGED(winid, fn)  EVT_FLATNOTEBOOK_PAGE_CHANGED(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CHANGING(winid, fn) EVT_FLATNOTEBOOK_PAGE_CHANGING(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CLOSING(winid, fn)  EVT_FLATNOTEBOOK_PAGE_CLOSING(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_CONTEXT_MENU(winid, fn)  EVT_FLATNOTEBOOK_CONTEXT_MENU(winid, fn)
#define MURDERSPOT_EVT_NOTEBOOK_PAGE_CLOSED(winid, fn)   EVT_FLATNOTEBOOK_PAGE_CLOSED(winid, fn)

class Notebook : public wxFlatNotebook
{
public:
    Notebook() { }
    Notebook(wxWindow *parent, wxWindowID id = wxID_ANY, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize)
        : wxFlatNotebook(parent, id, pos, size, wxFNB_VC8 | wxFNB_NODRAG | wxFNB_X_ON_TAB) { }
    bool Create(wxWindow *parent, wxWindowID id = wxID_ANY, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize)
        {return wxFlatNotebook::Create(parent, id, pos, size, wxFNB_VC8 | wxFNB_NODRAG | wxFNB_X_ON_TAB);}
};

#endif

#endif // !defined(MURDERSPOT_CLDNOTEBOOK_H)
