// MurderSpot - a free game based on Clue/Cluedo
// Copyright 2005-2009 Christopher Elsby <chrise@chrise.me.uk>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

#ifndef MURDERSPOT_MANAGER_H
#define MURDERSPOT_MANAGER_H

#include <wx/string.h>

class Game;
class Network;
class NetUser;

class Manager
{
public:
    Manager() { }
    virtual ~Manager() { }
    virtual void update(const Game *gam) { }
    virtual void updateImage(const Game *gam) { }
    virtual void addLog(const Game *gam, const wxString &msg) { }
    virtual void clearLog(const Game *gam) { }
    virtual void alert(const Game *gam, const wxString &msg) { }
    virtual void playerLost(const Game *gam) { }
    virtual void receiveGameLeft(Network *netw, wxString gamid) { }
    virtual void receiveUserLeft(const NetUser *user) { }
    virtual void receiveNetLost(Network *netw) { }
    virtual void receiveGameRequest(Network *netw, wxString gamid, const NetUser *sender, wxString type, wxString msg) { }
    virtual void receiveChat(Network *netw, wxString sender, wxString target, wxString type, wxString msg) { }
    virtual void receiveNetStatus(Network *netw, wxString rawmsg, bool showonall = FALSE) { }
    virtual void changeNick(Network *netw, wxString newnick) { }
};

#endif // !defined(MURDERSPOT_MANAGER_H)
